
OpenRTM-aist (Java) - 機能 #1977

ログの時刻をミリ秒、マイクロ秒まで表示できるようにする
2010/12/31 04:23 - n-ando

ステータス: 終了 開始日: 2010/12/31

優先度: 通常 期日:  

担当者: ga 進捗率: 100%

カテゴリ:  予定工数: 0.00時間

対象バージョン:    

説明

ミリ秒、マイクロ秒表示のために、新たに以下の指定子を導入する。

ミリ秒の指定子： %Q
マイクロ秒の指定子： %q

さらにデフォルトの時刻表示のフォーマットを

%b %d %H:%M:%S.%Q

とすること。

関係しているリビジョン
リビジョン 516 - 2011/08/03 15:17 - fsi-katami

For the change of the format of the log (time)

refs #1977

リビジョン 518 - 2011/08/03 15:19 - fsi-katami

For the change of the format of the log (time)

refs #1977

リビジョン 519 - 2011/08/03 15:59 - fsi-katami

Changed the format of the log.  Added the millisecond.   refs #1977

リビジョン 520 - 2011/08/03 17:03 - fsi-katami

Changed the format of the log.  Added the millisecond.

refs #1977

リビジョン 687 - 2013/02/11 03:10 - ga

Implemented microsec to SystemClock and AdjustedClock. refs #1977

履歴
#1 - 2011/02/14 15:04 - 匿名ユーザー

- ステータス を 新規 から 担当 に変更

現状 は、"%tb %td %tH:%tM:%tS"。
java.util.Formatter の format() を使用。
マイクロ秒オーダーは検討が必要。
#2 - 2011/08/03 16:01 - 匿名ユーザー

- 進捗率 を 0 から 50 に変更

ミリ秒表示の対応は済み。

#3 - 2013/02/11 03:19 - ga

- ステータス を 担当 から 解決 に変更

- 担当者 を 匿名ユーザー から ga に変更

- 進捗率 を 50 から 100 に変更

Javaではシステム時刻の取得は、System.currentTimeMillisを使用してミリ秒単位までは可能です｡
また、System.nanoTimeを使用することで、ナノ秒単位の時刻も取得できるのですが、このメソッドは時刻の差分取得用に用意されているため、戻
り値が時刻の絶対値とはなっていません｡
そこで、上記の２つのメソッドを組み合わせて、擬似的にマイクロ秒単位での表示ができるように修正させて頂きました｡
ただし、言語仕様的に正確な時刻はミリ秒単位までしか取得できないため、マイクロ秒の単位については、あくまでも目安となる近似値を出力する
形となっています｡
 r687

#4 - 2013/06/12 00:33 - n-ando

- ステータス を 解決 から 終了 に変更
